cURL
curl --request GET \
--url https://app-api.aide.app/v1/conversations/{id}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.aide.app/v1/conversations/{id}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.aide.app/v1/conversations/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/conversations/{id}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/conversations/{id}/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app-api.aide.app/v1/conversations/{id}/messages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/conversations/{id}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"object": "message",
"topics": [
{
"name": "<string>",
"id": "<string>",
"emoji": "<string>",
"description": "<string>",
"confidence": 123,
"example": {
"id": "<string>",
"isPositive": true
}
}
],
"attachments": [
{
"unavailable": "blocked",
"url": "<string>",
"name": "<string>",
"id": "<string>",
"kind": "audio",
"size": 123,
"thumbnailUrl": "<string>",
"inline": true,
"mime": "<string>"
}
],
"createdAt": "<string>",
"id": "<string>",
"from": {
"name": "<string>",
"address": "<string>"
},
"billing": {
"category": "<string>",
"billable": true,
"pricingModel": "<string>"
},
"kind": "<string>",
"to": {
"name": "<string>",
"address": "<string>"
},
"body": "<string>",
"blocks": [
{
"kind": "resolution_check",
"answered": "not_yet"
}
],
"htmlBody": "<string>",
"knowledge": [
{
"url": "<string>",
"title": "<string>",
"feedback": true,
"snippet": "<string>",
"documentId": "<string>",
"score": 123,
"sourceName": "<string>"
}
],
"author": {
"name": "<string>",
"id": "<string>",
"avatarUrl": "<string>",
"initials": "<string>"
},
"sender": {
"reason": "auto_reply",
"outcome": "automated",
"ruleId": "<string>",
"decidedBy": "default",
"ruleName": "<string>",
"relayedBy": {
"name": "<string>",
"address": "<string>"
}
},
"reactions": [
{
"at": "<string>",
"emoji": "<string>",
"by": "<string>"
}
],
"suggestedTopic": {
"name": "<string>",
"id": "<string>",
"description": "<string>",
"groupName": "<string>",
"messageCount": 123
},
"authoredBy": "aide",
"public": true,
"rendered": [
{
"kind": "rich",
"payload": {},
"element": "cards"
}
],
"interaction": {
"id": "<string>",
"kind": "button_reply",
"payload": {
"kind": "offer_choice",
"offerId": "<string>",
"choice": "accept"
},
"comment": "<string>"
},
"delivery": {
"status": "delivered",
"failedReason": "capability"
}
}
],
"meta": {
"nextCursor": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Conversation
Get v1conversations messages
GET
/
v1
/
conversations
/
{id}
/
messages
cURL
curl --request GET \
--url https://app-api.aide.app/v1/conversations/{id}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.aide.app/v1/conversations/{id}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.aide.app/v1/conversations/{id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/conversations/{id}/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/conversations/{id}/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app-api.aide.app/v1/conversations/{id}/messages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/conversations/{id}/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"object": "message",
"topics": [
{
"name": "<string>",
"id": "<string>",
"emoji": "<string>",
"description": "<string>",
"confidence": 123,
"example": {
"id": "<string>",
"isPositive": true
}
}
],
"attachments": [
{
"unavailable": "blocked",
"url": "<string>",
"name": "<string>",
"id": "<string>",
"kind": "audio",
"size": 123,
"thumbnailUrl": "<string>",
"inline": true,
"mime": "<string>"
}
],
"createdAt": "<string>",
"id": "<string>",
"from": {
"name": "<string>",
"address": "<string>"
},
"billing": {
"category": "<string>",
"billable": true,
"pricingModel": "<string>"
},
"kind": "<string>",
"to": {
"name": "<string>",
"address": "<string>"
},
"body": "<string>",
"blocks": [
{
"kind": "resolution_check",
"answered": "not_yet"
}
],
"htmlBody": "<string>",
"knowledge": [
{
"url": "<string>",
"title": "<string>",
"feedback": true,
"snippet": "<string>",
"documentId": "<string>",
"score": 123,
"sourceName": "<string>"
}
],
"author": {
"name": "<string>",
"id": "<string>",
"avatarUrl": "<string>",
"initials": "<string>"
},
"sender": {
"reason": "auto_reply",
"outcome": "automated",
"ruleId": "<string>",
"decidedBy": "default",
"ruleName": "<string>",
"relayedBy": {
"name": "<string>",
"address": "<string>"
}
},
"reactions": [
{
"at": "<string>",
"emoji": "<string>",
"by": "<string>"
}
],
"suggestedTopic": {
"name": "<string>",
"id": "<string>",
"description": "<string>",
"groupName": "<string>",
"messageCount": 123
},
"authoredBy": "aide",
"public": true,
"rendered": [
{
"kind": "rich",
"payload": {},
"element": "cards"
}
],
"interaction": {
"id": "<string>",
"kind": "button_reply",
"payload": {
"kind": "offer_choice",
"offerId": "<string>",
"choice": "accept"
},
"comment": "<string>"
},
"delivery": {
"status": "delivered",
"failedReason": "capability"
}
}
],
"meta": {
"nextCursor": "<string>"
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Authorizations
An access token, bound to one account.